using System;
using System.Drawing;
using System.Windows.Forms;

namespace ihook.PocketWidgets
{
	/// <summary>
	/// it's a label supporting event !
	/// </summary>
	public class SmartLabel : SmartControl
	{
		public SmartLabel()
		{
			Size = new Size(100, 18);
		}
		public SmartLabel(string s) : this()
		{
			Text = s;
		}

		public override string Text
		{
			set
			{
				base.Text = value;
				Invalidate();
			}
		}
		protected override void OnPaint(PaintEventArgs e)
		{
			Brush brush = new SolidBrush(ForeColor);
			try
			{
				e.Graphics.DrawString(Text, Font, brush, 1, 1);
			}
			finally { brush.Dispose(); }
		}
	}
}
