using System;
using System.Data;
using System.Collections;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace ihook.PocketWidgets.Utils
//namespace OpenNETCF.Windows.Forms
{
	public struct Message
	{
		public IntPtr HWnd;
		public IntPtr LParam;
		public int Msg;
		public IntPtr Result;
		public IntPtr WParam;

		public static Message Create(
			IntPtr hWnd,
			int msg,
			IntPtr wparam,
			IntPtr lparam
			)
		{
			Message m;
			m.HWnd = hWnd;
			m.LParam = lparam;
			m.Msg = msg;
			m.Result = IntPtr.Zero;
			m.WParam = wparam;
			return m;
		}
		public Message(MSG msg)
		{
			Msg = msg.message;
			HWnd = msg.hwnd;
			LParam = msg.lParam;
			WParam = msg.wParam;
			Result = IntPtr.Zero;
		}
	}
}

 

 